petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMCreateColoring

Gets coloring for a DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMCreateColoring(DM dm,ISColoringType ctype,ISColoring *coloring)

Collective on dm

### Input Parameter

| dm | - the DM object
| ctype | - IS_COLORING_LOCAL or IS_COLORING_GLOBAL

### Output Parameter

coloring -the coloring

### See Also

DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateMatrix(), DMSetMatType()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex14.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html

### Implementations

DMCreateColoring_Composite in src/dm/impls/composite/pack.c
DMCreateColoring_DA in src/dm/impls/da/fdda.c
DMCreateColoring_DA_2d_MPIAIJ in src/dm/impls/da/fdda.c
DMCreateColoring_DA_3d_MPIAIJ in src/dm/impls/da/fdda.c
DMCreateColoring_DA_1d_MPIAIJ in src/dm/impls/da/fdda.c
DMCreateColoring_DA_2d_5pt_MPIAIJ in src/dm/impls/da/fdda.c
DMCreateColoring_Redundant in src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages